

------ Feedbacks -- version 1 
function createObserverChart (terrame_object, attr_names)
	chart = Observer {
		subject = terrame_object,
		attributes = attr_names,
		curveLabels = attr_names,
		type = "chart"
	}
end

----
function createPlot (model)

	model.plot = Cell (model.values)
	createObserverChart (model.plot, model.attributes)
	model.plot:notify(0) 

end
------------------
function createTimer (model)

	model.timer = Timer {
		Event{time = 1, period = 1, action = function(ev)
			popChanges(model)    
			model.plot:notify(ev:getTime()) 
		end}
	}
end
-------------------

popChanges = function (model)
		model.values.population1 = model.values.population1 * 1.50
		model.values.population2 = model.values.population2 * 1.90
end

-----------------

function run (model, time)
	model.timer:execute (time)
end

-----------
function SystemDynamicsModel(model)

	-- create Plot
	createPlot (model)

	-- timer
	createTimer (model)

	return model
end
---------
model =  SystemDynamicsModel {
	attributes    = {"population1", "population2"},
	values        = { 	population1 = 60, population2 = 20}
}
-----
run (model, 20)  -- executa o modelo em 8 passos de tempo